@media (max-width: 768px) {
    /*Search bar and categs*/
     .top-bar {
        display: flex !important;
        flex-direction: column !important;
        align-items: stretch;
        gap: 12px;
        align-items: flex-start;
    }
    .top-bar > * {
        width: 100%;
        width: auto;
    }
    .search-bar {
        order: -1;
        margin-bottom: 0;
    }

    /* Sort by */
    .sort-dropdown {
        margin-left: 2rem;
        margin-bottom: 3rem;
    }

    /* Product grid */
    .products-grid {
        display: grid !important;
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 12px !important;
        padding: 0 12px !important;
    }
    .sales-products {
        display: flex;
        gap: 0rem;
        overflow-x: auto;
        overflow-y: hidden;
        padding-top: 2rem;
        padding-bottom: 2rem;
        width: 100%;
        margin: 0 auto;
        align-items: stretch;
    }
    .sales-products .product-item {
        padding-bottom: 70px;
        overflow: visible;
    }
    .product-item {
        width: 100% !important;
        padding-bottom: 30px;
    }

    /*Disable hover effect on mobile */
    .product-item:hover .product-thumbnail {
        top: 0 !important;
    }
    .product-item:hover:before {
        height: 0% !important;
    }
    .product-item:hover .icon-cross {
        opacity: 0 !important;
        visibility: hidden !important;
    }

    .product-item.active .product-thumbnail {
        top: -25px;
    }
    .product-item.active:before {
        height: 70%;
    }
    .product-item.active .icon-cross {
        opacity: 1;
        visibility: visible;
    }
    .product-item.active:hover .product-thumbnail {
        top: -25px !important;
    }
    .product-item.active:hover:before {
        height: 70% !important;
    }
    .product-item.active:hover .icon-cross {
        opacity: 1 !important;
        visibility: visible !important;
    }
}